Bug 81484 - Draw pdf import: bold font shown as "outline", if Chinese (CJK?) font is applied
Summary: Draw pdf import: bold font shown as "outline", if Chinese (CJK?) font is applied
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 104725 104748 (view as bug list)
Depends on:
Blocks: CJK PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2014-07-18 07:47 UTC by Kevin Suo
Modified: 2020-07-25 23:58 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test odt file, to be exported as PDF (15.43 KB, application/vnd.oasis.opendocument.text)
2014-07-18 07:48 UTC, Kevin Suo
Details
pdf file, exported from the above odt file (33.31 KB, application/pdf)
2014-07-18 07:48 UTC, Kevin Suo
Details
screenshot showing the difference (202.60 KB, application/pdf)
2014-07-18 07:56 UTC, Kevin Suo
Details
Screnshot from libreofficechina forum, which can confirm this issue (199.56 KB, image/jpeg)
2014-07-18 08:04 UTC, Kevin Suo
Details
Fill and stroke properties of the text (29.90 KB, application/pdf)
2014-09-14 12:32 UTC, vvort
Details
Sample pdf file with the same problem (423.29 KB, application/pdf)
2018-02-09 00:15 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-07-18 07:47:40 UTC
Steps to observe the problem:

1. Export the attached odt file as PDF;
2. Open with LibreOffice Draw

Current behaviour:
For the chars which are bold & Chinese font was applied, it will show as "outline" affect.
English bold chars are shown correctly.
Unbold chars are shown correctly, no matter which font was applied.

See the attached file for better understanding.

Version:
4.2.6.1
Build ID: 5fdddf655fba363e34f755715238d0943a44857e
Windows XP SP3

Also reproducible in
Version: 4.4.0.0.alpha0+
Build ID: 461e46904ffa29820be1ccb64cdb9cb6d4469b6c
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-17_08:23:11
Comment 1 Kevin Suo 2014-07-18 07:48:15 UTC
Created attachment 103017 [details]
test odt file, to be exported as PDF
Comment 2 Kevin Suo 2014-07-18 07:48:43 UTC
Created attachment 103018 [details]
pdf file, exported from the above odt file
Comment 3 Kevin Suo 2014-07-18 07:56:35 UTC
Created attachment 103020 [details]
screenshot showing the difference
Comment 4 Kevin Suo 2014-07-18 08:04:36 UTC
Created attachment 103021 [details]
Screnshot from libreofficechina forum, which can confirm this issue

This bug was originally reported here:
http://libreofficechina.org/thread-163-1-1.html

I am attaching the original bug reporter's screenshot.
Comment 5 Kevin Suo 2014-07-18 08:12:32 UTC
Set to NEW, as it's already confirmed by a few poeple in libreofficechina forum.
Comment 6 Kevin Suo 2014-07-20 09:53:10 UTC
Also reproduced with 3.6.7.2, ubuntu 14.04 x86.
Comment 7 yanjingtao 2014-07-21 01:19:29 UTC
Reproduced with Fedora 20 x86_64 LO 4.2.5.2
Comment 8 vvort 2014-09-14 12:32:33 UTC
Created attachment 106256 [details]
Fill and stroke properties of the text

To correctly fix this problem, separate control over the fill and stroke properties of the text is needed.
For now, it is impossible to replicate first three samples of 'example_026.pdf' in LO.Draw without any hacks (like one text on top of other, conversion of text into polygons, etc).
Comment 9 QA Administrators 2015-10-14 19:58:06 UTC Comment hidden (obsolete)
Comment 10 Kevin Suo 2015-10-15 01:19:49 UTC
(In reply to QA Administrators from comment #9)

Bug still exists
Version: 5.0.3.1
Build ID: fd8cfc22f7f58033351fcb8a83b92acbadb0749e
Locale: zh-CN (zh_CN)
Win10 X86
Comment 11 Heiko Tietze 2016-05-10 08:48:11 UTC
Confirmed (outline is checked after reading the PDF but only for SimSum font and not Times New Roman where style is bold, as expected)

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)
Comment 12 Buovjaga 2016-12-18 19:06:04 UTC
*** Bug 104748 has been marked as a duplicate of this bug. ***
Comment 13 Buovjaga 2016-12-18 19:07:04 UTC
*** Bug 104725 has been marked as a duplicate of this bug. ***
Comment 14 Buovjaga 2016-12-18 19:15:15 UTC
Not sure, if we should mark this as CJK, as I am able to repro with random fonts such as Lilita One (part of Google fonts pack). http://www.1001fonts.com/lilita-one-font.html
Comment 15 Telesto 2016-12-19 15:36:17 UTC
Also found in:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 16 QA Administrators 2018-02-08 03:36:01 UTC Comment hidden (obsolete)
Comment 17 Franklin Weng 2018-02-09 00:15:45 UTC
Created attachment 139712 [details]
Sample pdf file with the same problem

1. The problem still exists in 6.0.0.2.

版本:6.0.0.2
組建 ID:06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU 執行緒:4; OS:Linux 4.11; UI 算繪:預設; VCL: kde4; 
語言地區:zh-TW (zh_TW.UTF-8); Calc: group

2. The problem exists in 4.0.0.1, which is the earliest version I can test.
版本 4.0.0.1 (組建 ID:527dba6f6e0cfbbc71bd6e7b88a52699bb48799)

3. If I open it with Draw, save as ODG, and use zip to extract this ODG file into a folder, then use a text editor to modify *all* the 

style:text-outline="true"

to

style:text-outline="false"

and zip back to become odg file, the problem would be resolved.

It should be misjudged some fonts as text-outline=true.
Comment 18 QA Administrators 2019-02-10 03:44:16 UTC Comment hidden (obsolete)
Comment 19 Kevin Suo 2019-02-10 11:10:56 UTC
The problem still exists in the moat recent version.
Comment 20 Franklin Weng 2019-02-10 13:47:14 UTC
(In reply to QA Administrators from comment #18)

Still reproducible in

版本:6.2.0.3
組建 ID:98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU 執行緒:4; OS:Linux 4.15; UI 算繪:預設; VCL: gtk3; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded
Comment 21 himajin100000 2020-07-25 23:56:00 UTC
cross reference

confirmed in Japanese forum.
https://ask.libreoffice.org/ja/question/256437/